search cancel

XCOM for Linux TLS 1.2 support required version/download

book

Article ID: 241843

calendar_today

Updated On:

Products

XCOM Data Transport XCOM Data Transport - Linux PC XCOM Data Transport - Windows XCOM Data Transport - z/OS

Issue/Introduction

Need to upgrade XCOM for Linux 11.0 SP00 to be able to support TLS 1.2 ciphers.
What XCOM for Linux version supports TLS 1.2 and please provide the link to download it?

Environment

Release : 11.6

Component : XCOM Data Transport for Linux PC

Resolution

1. Support for TLS 1.2 with XCOM for Linux started with release 11.6 SP01: XCOM Data Transport for UNIX/Linux 11.6.1 > Release Notes> Enhanced Features > Service Pack 11.6.01

2. To download the 11.6 SP01 software please follow these steps:
===
a. After portal login and reach dashboard page (https://support.broadcom.com/group/ecx/my-dashboard), make sure "Mainframe Software" is selected in the drop down on the top right hand side (next to "logged in" name).
b. Use "My Downloads" and in "Search by Product Name" search for XCOM to get to this page: https://support.broadcom.com/group/ecx/productdownloads?subfamily=XCOM.
c. In "Search by Product Name" search for Linux and select "XCOM Data Transport for Linux (PC)" which when expanded shows hyperlink for Release=11.6 (Service Pack=SP01). That 11.6 hyperlink opens this page: https://support.broadcom.com/group/ecx/productfiles?sellable=XCOMLP555&release=11.6&os=&servicePk=SP01&language=EN
Download:
CA XCOM Data Transport for Linux PC r11.6 SP01 - Product Package
DVD10172026E.iso
===

3. The upgrade steps to 11.6 SP01 are located here: XCOM Data Transport for UNIX/Linux 11.6.1 > Installing > Install Using ISO Conventional Method > Upgrade Using ISO Conventional Method
NOTE: For this particular scenario i.e. an upgrade from 11.0 SP00, a direct automatic upgrade to 11.6 SP01 is not supported and the manual upgrade steps are documented under: XCOM Data Transport for UNIX/Linux 11.6.1 > Installing > Install Using ISO Conventional Method > Upgrade from Release 11.0

4. After doing the upgrade install the latest SP01 patch to ensure avoiding any known problems. Only the latest patch needs to be installed because XCOM patches are cumulative i.e. contain all fixes created since the previous service pack they are built on.
Please follow these steps:
===
a. From above page https://support.broadcom.com/group/ecx/productdownloads?subfamily=XCOM, select the Solutions tab to get to page: https://support.broadcom.com/group/ecx/productdownloads?subfamily=XCOM&tab=Solutions
b. In "Search by Product Name" search for Linux and select "XCOM Data Transport for Linux (PC) LINUX -ALL" which when expanded shows hyperlink for 11.6 that opens this page: https://support.broadcom.com/group/ecx/solutionfiles?sellable=XCOMLP555&os=LINUX%20-ALL&release=11.6&solution=XCOM%20Data%20Transport%20for%20Linux%20(PC)%20LINUX%20-ALL&subfamily=XCOM
Only need to download and install the latest SP01 patch because XCOM patches are cumulative.
===
Related KB article: Finding XCOM patches/solutions pages on new Support Portal

Additional Information

The alternative option is to upgrade to XCOM for Linux 12.0 which has recently been released (April 28, 2022). More details here: XCOM Data Transport for UNIX/Linux 12.0 > Release Notes
To access the 12.0 software follow the same steps in #2 above. In 2c instead of using the hyperlink for Release=11.6 (Service Pack=SP01), use the hyperlink for Release=12.0 (Service Pack=0000) which opens this page: https://support.broadcom.com/group/ecx/productfiles?sellable=XCOMLP555&release=12.0&os=&servicePk=0000&language=EN
Download:
CA XCOM Data Transport for Linux PC 12.0 0000 - Product Package
DVDLinux120.iso